com.holonplatform.vaadin.navigator

## Interface ViewWindowConfigurator

- All Superinterfaces:
    ComponentConfigurator<ViewWindowConfigurator>, Serializable
  All Known Implementing Classes:
    DefaultViewWindowConfigurator

      public interface ViewWindowConfigurator
      extends ComponentConfigurator<ViewWindowConfigurator>, Serializable

  Configuration settings for a Window used as a `View` display.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_WINDOW_HEIGHT` Default window height
    `static String` | `DEFAULT_WINDOW_STYLE_NAME` Default View Window style name
    `static String` | `DEFAULT_WINDOW_WIDTH` Default window width

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ViewWindowConfigurator` | `closable(boolean closable)` Sets whether to show a close button in the view Window header.
    `ViewWindowConfigurator` | `draggable(boolean draggable)` Set whether the view Window is draggable.
    `ViewWindowConfigurator` | `position(int x, int y)` Sets the position of the view window on the screen.
    `ViewWindowConfigurator` | `resizable(boolean resizable)` Sets whether to allow the view Window to be resized.
    `ViewWindowConfigurator` | `withCloseShortcut(int keyCode, int... modifiers)` Adds a close shortcut to the view window - pressing this key while holding down all (if any) modifiers specified while the window is in focus will close the window.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Field Detail

    - #### DEFAULT_WINDOW_STYLE_NAME

          static final String DEFAULT_WINDOW_STYLE_NAME

      Default View Window style name
      See Also:
        Constant Field Values

    - #### DEFAULT_WINDOW_WIDTH

          static final String DEFAULT_WINDOW_WIDTH

      Default window width
      See Also:
        Constant Field Values

    - #### DEFAULT_WINDOW_HEIGHT

          static final String DEFAULT_WINDOW_HEIGHT

      Default window height
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### closable

          ViewWindowConfigurator closable(boolean closable)

      Sets whether to show a close button in the view Window header.
      Parameters:
        `closable` - `true` to show a close button in the view Window header, `false` to not show it
      Returns:
        this

    - #### resizable

          ViewWindowConfigurator resizable(boolean resizable)

      Sets whether to allow the view Window to be resized.
      Parameters:
        `resizable` - whether to allow the view Window to be resized
      Returns:
        this

    - #### draggable

          ViewWindowConfigurator draggable(boolean draggable)

      Set whether the view Window is draggable.
      Parameters:
        `draggable` - whether the view Window is draggable
      Returns:
        this

    - #### position

          ViewWindowConfigurator position(int x,
                                          int y)

      Sets the position of the view window on the screen.
      Parameters:
        `x` - The x coordinate for the window
        `y` - The y coordinate for the window
      Returns:
        this

    - #### withCloseShortcut

          ViewWindowConfigurator withCloseShortcut(int keyCode,
                                                   int... modifiers)

      Adds a close shortcut to the view window - pressing this key while holding down all (if any) modifiers specified while the window is in focus will close the window.
      Parameters:
        `keyCode` - the keycode for invoking the shortcut
        `modifiers` - the (optional) modifiers for invoking the shortcut. Can be set to null to be explicit about not having modifiers.
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.